Bug 1026503 - an instance of Controller class tries to refresh unavailable sources
an instance of Controller class tries to refresh unavailable sources
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:22a9d764cfb01d3581e27edda64...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 14:44 EST by Kai Arne
Modified: 2016-11-30 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:02:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.70 KB, text/plain)
2013-11-04 14:44 EST, Kai Arne
no flags Details
File: environ (1.41 KB, text/plain)
2013-11-04 14:44 EST, Kai Arne
no flags Details

  None (edit)
Description Kai Arne 2013-11-04 14:44:45 EST
Version-Release number of selected component:
gnome-abrt-0.3.2-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/gnome-abrt
executable:     /usr/bin/gnome-abrt
kernel:         3.11.6-200.fc19.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
dbus_problems.py:273:<lambda>:AttributeError: 'NoneType' object has no attribute 'GetForeignProblems'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gnome_abrt/signals.py", line 68, in _gsource_handle_signal
    data[0]()
  File "/usr/lib/python2.7/site-packages/gnome_abrt/controller.py", line 58, in _refresh_sources
    src.refresh()
  File "/usr/lib/python2.7/site-packages/gnome_abrt/problems.py", line 401, in refresh
    self.notify()
  File "/usr/lib/python2.7/site-packages/gnome_abrt/problems.py", line 61, in notify
    observer.changed(self, change_type, problem)
  File "/usr/lib/python2.7/site-packages/gnome_abrt/views.py", line 222, in changed
    self.wnd._update_problem_in_storage(problem)
  File "/usr/lib/python2.7/site-packages/gnome_abrt/views.py", line 322, in _update_source_button
  File "/usr/lib/python2.7/site-packages/gnome_abrt/views.py", line 119, in format_button_source_name
    return "{0} ({1})".format(name, len(source.get_problems()))
  File "/usr/lib/python2.7/site-packages/gnome_abrt/problems.py", line 391, in get_problems
    for prblmid in self._get_problems():
  File "/usr/lib/python2.7/site-packages/gnome_abrt/dbus_problems.py", line 175, in _get_problems
    prblms = self._send_dbus_message(self._driver.get_problems_method)
  File "/usr/lib/python2.7/site-packages/gnome_abrt/dbus_problems.py", line 120, in _send_dbus_message
    return method(self._interface, *args)
  File "/usr/lib/python2.7/site-packages/gnome_abrt/dbus_problems.py", line 273, in <lambda>
    return lambda iface, *args: iface.GetForeignProblems(*args)
AttributeError: 'NoneType' object has no attribute 'GetForeignProblems'

Local variables in innermost frame:
args: ()
iface: None
Comment 1 Kai Arne 2013-11-04 14:44:53 EST
Created attachment 819340 [details]
File: backtrace
Comment 2 Kai Arne 2013-11-04 14:44:56 EST
Created attachment 819341 [details]
File: environ
Comment 3 Jakub Filak 2013-11-05 04:52:43 EST
Thank you for the report!

Note about the root cause of this report:
An instance of Controller class holds a list of problem sources which should be updated upon reception of SIGCHLD. Unfortunately any item from the list can become "unavailable" and code of Controller class must be ready for this situation. It seems that a source must remember that its state is "unavailable" and raise an exception on every attempt to access a member which cannot be accessed in that state.
Comment 4 Fedora End Of Life 2015-01-09 15:27:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 14:02:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.